import { Executable } from '../executable';
import { Config } from '../config';
export declare class MatrixCommand implements Executable {
    private inputFromSources;
    private inputFromTables;
    private outputJson;
    private config;
    private xreffiles;
    private excludes;
    constructor(config: Config);
    execute(params: any): Promise<void>;
    private extractExcludes;
    private iterateSources;
    private iterateTables;
    private outputMatrix;
    private readStdin;
    validate(params: any): boolean;
}
