import { Config } from '../config';
import { Executable } from '../executable';
export declare class SearchCommand implements Executable {
    private config;
    private reponame;
    private searcher?;
    private field?;
    private table?;
    private db?;
    private hasCreates?;
    private hasUpdates?;
    private hasDeletes?;
    private class?;
    private method?;
    private interface?;
    private include?;
    private batch;
    private openSources;
    private jsonOutput;
    constructor(config: Config);
    execute(params: any): Promise<void>;
    private search;
    validate(params: any): boolean;
    private parseCrudValue;
}
