import { Config } from './../config';
import { Executable } from './../executable';
export declare class ShowCommand implements Executable {
    config: Config;
    source: string;
    tables: boolean;
    jsonOutput: boolean;
    xrefOutput: boolean;
    openFile: boolean;
    constructor(config: Config);
    execute(params: any): Promise<void>;
    validate(params: any): boolean;
    private openEditor;
    private generateOutput;
}
